import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { CnSLB } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-10-25 17:43
 */
interface CnSLBCU extends ConditionUtil<CnSLBCU> {
    ID: FieldUtil<CnSLBCU>;
    NAME: FieldUtil<CnSLBCU>;
    SLB_ID: FieldUtil<CnSLBCU>;
    TYPE: FieldUtil<CnSLBCU>;
    SERVICE_IP: FieldUtil<CnSLBCU>;
    CONFIGURATION: FieldUtil<CnSLBCU>;
    DELETED: FieldUtil<CnSLBCU>;
    CREATE_USER_ID: FieldUtil<CnSLBCU>;
    CREATE_TIME: FieldUtil<CnSLBCU>;
    UPDATE_USER_ID: FieldUtil<CnSLBCU>;
    UPDATE_TIME: FieldUtil<CnSLBCU>;
    CLOUD_PROVIDER: FieldUtil<CnSLBCU>;
    URL: FieldUtil<CnSLBCU>;
}
declare class CnSLBMU extends TableUtilImpl<CnSLBCU, CnSLB> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): CnSLBCU;
    static get ID(): FieldUtil<CnSLBCU>;
    static get NAME(): FieldUtil<CnSLBCU>;
    static get SLB_ID(): FieldUtil<CnSLBCU>;
    static get TYPE(): FieldUtil<CnSLBCU>;
    static get SERVICE_IP(): FieldUtil<CnSLBCU>;
    static get CONFIGURATION(): FieldUtil<CnSLBCU>;
    static get DELETED(): FieldUtil<CnSLBCU>;
    static get CREATE_USER_ID(): FieldUtil<CnSLBCU>;
    static get CREATE_TIME(): FieldUtil<CnSLBCU>;
    static get UPDATE_USER_ID(): FieldUtil<CnSLBCU>;
    static get UPDATE_TIME(): FieldUtil<CnSLBCU>;
    static get CLOUD_PROVIDER(): FieldUtil<CnSLBCU>;
    static get URL(): FieldUtil<CnSLBCU>;
    get ID(): FieldUtil<CnSLBCU>;
    get NAME(): FieldUtil<CnSLBCU>;
    get SLB_ID(): FieldUtil<CnSLBCU>;
    get TYPE(): FieldUtil<CnSLBCU>;
    get SERVICE_IP(): FieldUtil<CnSLBCU>;
    get CONFIGURATION(): FieldUtil<CnSLBCU>;
    get DELETED(): FieldUtil<CnSLBCU>;
    get CREATE_USER_ID(): FieldUtil<CnSLBCU>;
    get CREATE_TIME(): FieldUtil<CnSLBCU>;
    get UPDATE_USER_ID(): FieldUtil<CnSLBCU>;
    get UPDATE_TIME(): FieldUtil<CnSLBCU>;
    get CLOUD_PROVIDER(): FieldUtil<CnSLBCU>;
    get URL(): FieldUtil<CnSLBCU>;
}
export { CnSLBMU, CnSLBCU };
